import 'package:fluent_ui/fluent_ui.dart';
import 'package:go_router/go_router.dart';
import 'package:momo/fluent/home.dart';
import 'package:momo/provider/token.dart';

class MyFluentRouterConfig {
  static GoRouter router = GoRouter(
    routes: <RouteBase>[
      GoRoute(
        path: '/',
        builder: (BuildContext context, GoRouterState state) {
          return HomePage();
        },
        redirect: (BuildContext context, GoRouterState state) {
          print(tokenProvider);
          return null;
        },
      ),
      GoRoute(
          path: "/login",
          builder: (BuildContext context, GoRouterState state) {
            return ScaffoldPage();
          })
    ],
  );
}
